#!/bin/sh

clear

RED='\033[0;31m'
CYAN='\033[0;36m'
YELLOW='\033[1;33m'
GREEN='\033[0;32m'
NC='\033[0m' # No Color

echo "Downloading '${CYAN}lib4neuro${NC}' project dependencies"

# Should we download BOOST? (yes/no)
DOWNLOAD_DEP=yes

if [ $DOWNLOAD_DEP = "yes" ]
then
    echo "The required libraries will be downloaded from the official repositories into the directory '${YELLOW}external_dependencies${NC}'"

    cd ../..

    rm -r external_dependencies

    git submodule init
    git submodule update --remote

    cd external_dependencies/boost

        git submodule update  --init
        ./bootstrap.sh

    cd ../../build_scripts/linux

    echo "${GREEN}External dependencies download & bootstrapping finished${NC}"
fi
