//
// Created by martin on 9/8/18.
//

#ifndef PROJECT_MESSAGE_H
#define PROJECT_MESSAGE_H

#include <cassert>

#define COUT_INFO(inp) std::cout << std::flush << "INFO: " << inp << std::flush

#ifdef L4N_DEBUG
#define COUT_DEBUG(inp) assert(std::cerr << std::flush << "DEBUG: " << inp << std::flush)

#define WRITE_TO_OFS_DEBUG(ofs, msg) { if(ofs && ofs->is_open())\
                                           *ofs << "DEBUG: " << msg;\
                                     }
#else
#define COUT_DEBUG(inp)
#define WRITE_TO_OFS_DEBUG(ofs, msg)
#endif // L4N_DEBUG

#endif //PROJECT_MESSAGE_H
